import { AutomaticCircleBridge, ChainAddress, ChainsConfig, Contracts, Network } from '@wormhole-foundation/connect-sdk';
import { Provider } from 'ethers';
import { CircleRelayer } from './ethers-contracts';
import { AnyEvmAddress, EvmChainName, EvmUnsignedTransaction } from '@wormhole-foundation/connect-sdk-evm';
export declare class EvmAutomaticCircleBridge implements AutomaticCircleBridge<'Evm'> {
    readonly network: Network;
    readonly chain: EvmChainName;
    readonly provider: Provider;
    readonly contracts: Contracts;
    readonly circleRelayer: CircleRelayer;
    readonly chainId: bigint;
    private constructor();
    static fromProvider(provider: Provider, config: ChainsConfig): Promise<EvmAutomaticCircleBridge>;
    transfer(sender: AnyEvmAddress, recipient: ChainAddress, amount: bigint, nativeGas?: bigint): AsyncGenerator<EvmUnsignedTransaction>;
    private createUnsignedTx;
}
//# sourceMappingURL=automaticCircleBridge.d.ts.map