import { ChainAddress, CircleBridge, CircleTransferMessage, Network, UnsignedTransaction, Contracts, ChainsConfig } from '@wormhole-foundation/connect-sdk';
import { MessageTransmitter, TokenMessenger } from './ethers-contracts';
import { Provider } from 'ethers';
import { AnyEvmAddress, EvmChainName, EvmUnsignedTransaction } from '@wormhole-foundation/connect-sdk-evm';
export declare class EvmCircleBridge implements CircleBridge<'Evm'> {
    readonly network: Network;
    readonly chain: EvmChainName;
    readonly provider: Provider;
    readonly contracts: Contracts;
    readonly chainId: bigint;
    readonly msgTransmitter: MessageTransmitter.MessageTransmitter;
    readonly tokenMessenger: TokenMessenger.TokenMessenger;
    readonly tokenEventHash: string;
    readonly messageSentEventHash: string;
    readonly messageReceivedEventHash: string;
    private constructor();
    static fromProvider(provider: Provider, config: ChainsConfig): Promise<EvmCircleBridge>;
    redeem(sender: AnyEvmAddress, message: string, attestation: string): AsyncGenerator<UnsignedTransaction>;
    transfer(sender: AnyEvmAddress, recipient: ChainAddress, amount: bigint): AsyncGenerator<EvmUnsignedTransaction>;
    parseTransactionDetails(txid: string): Promise<CircleTransferMessage>;
    private createUnsignedTx;
}
//# sourceMappingURL=circleBridge.d.ts.map